gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
BenchmarkUtil Class
BenchmarkUtil Methods
RunBenchmark Method

BenchmarkUtil RunBenchmark Method

Runs a simple benchmark preceded by warmup phase.

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static void RunBenchmark(
    	int warmupIterations,
    	int benchmarkIterations,
    	Action action
    )

    Public Shared Sub RunBenchmark (
    	warmupIterations As Integer,
    	benchmarkIterations As Integer,
    	action As Action
    )

    public:
    static void RunBenchmark(
    	int warmupIterations,
    	int benchmarkIterations,
    	Action^ action
    )

    static member RunBenchmark :
            warmupIterations : int *
            benchmarkIterations : int *
            action : Action -> unit

#### Parameters

warmupIterations
  Type: System
  Int32

  [Missing <param name="warmupIterations"/> documentation for "M:Grpc.Core.Utils.BenchmarkUtil.RunBenchmark(System.Int32,System.Int32,System.Action)"]

benchmarkIterations
  Type: System
  Int32

  [Missing <param name="benchmarkIterations"/> documentation for "M:Grpc.Core.Utils.BenchmarkUtil.RunBenchmark(System.Int32,System.Int32,System.Action)"]

action
  Type: System
  Action

  [Missing <param name="action"/> documentation for "M:Grpc.Core.Utils.BenchmarkUtil.RunBenchmark(System.Int32,System.Int32,System.Action)"]

See Also

#### Reference

BenchmarkUtil Class
Grpc.Core.Utils Namespace